Name:           cutter
Version:        1.7.4
Release:        1%{?dist}
Summary:        GUI for radare2 reverse engineering framework

License:        GPLv3
URL:            https://cutter.re/
Source0:        https://github.com/radareorg/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         0001-Update-r2-and-fix-for-r_bin_file_hash-changes-1143.patch
Patch1:         0001-Fix-CutterCore-getAllRelocs-for-RBTree-1135.patch
Patch2:         0001-Move-HTML-Disasm-formatting-to-Cutter.patch

BuildRequires:  radare2-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  file-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
%ifarch %{qt5_qtwebengine_arches}
BuildRequires:  qt5-qtwebengine-devel
%endif
Requires:       python3-jupyter-client
Requires:       python3-notebook

%description
Cutter is a Qt and C++ GUI for radare2. Its goal is making an advanced,
customizable and FOSS reverse-engineering platform while keeping the user
experience at mind. Cutter is created by reverse engineers for reverse
engineers.


%prep
%autosetup -p1


%build
mkdir build
cd build
%ifarch %{qt5_qtwebengine_arches}
%cmake -DCUTTER_ENABLE_QTWEBENGINE=ON ../src
%else
%cmake -DCUTTER_ENABLE_QTWEBENGINE=OFF ../src
%endif
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
install build/Cutter %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
        src/org.radare.Cutter.desktop

mkdir -p %{buildroot}%{_datadir}/appdata
install -pm644 src/org.radare.Cutter.appdata.xml \
        %{buildroot}%{_datadir}/appdata

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -pm644 src/img/cutter.svg \
        %{buildroot}%{_datadir}/icons/hicolor/scalable/apps


%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml


%files
%{_bindir}/Cutter
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%license COPYING
%doc README.md


%changelog
* Thu Mar 14 2019 Lubomir Rintel <lkundrak@v3.sk> - 1.7.4-1
- Initial packaging
